Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.template.mapper
Interface Mapper

All Known Implementing Classes:
  ClassMapper, DirectMapper, DirectTemplateMapper, LayoutTemplateMapper, ScreenDefaultTemplateMapper, ScreenTemplateMapper

    public interface Mapper

To separate out the various map and search policies for class names and template names, we use classes that implement this interface.

Version:
  $Id: Mapper.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Henning P. Schmiedehausen

Method Summary
`int` | `getCacheSize()` Get the CacheSize value.
`String` | `getDefaultName(String template)` Returns the default name for the supplied template name.
`String` | `getDefaultProperty()` Get the DefaultProperty value.
`String` | `getMappedName(String template)` Return the first match name for the given template name.
`char` | `getSeparator()` Get the Separator value.
`void` | `init()` Mapper initialization.
`boolean` | `isUseCache()` Get the UseCache value.
`void` | `setCacheSize(int cacheSize)` Set the CacheSize value.
`void` | `setDefaultProperty(String defaultProperty)` Set the DefaultProperty value.
`void` | `setSeparator(char separator)` Set the Separator value.
`void` | `setUseCache(boolean useCache)` Set the UseCache value.

Method Detail

### init

    void init()

  Mapper initialization.

### getCacheSize

    int getCacheSize()

  Get the CacheSize value.

  Returns:
    the CacheSize value.

### setCacheSize

    void setCacheSize(int cacheSize)

  Set the CacheSize value.

  Parameters:
    `cacheSize` - The new CacheSize value.

### isUseCache

    boolean isUseCache()

  Get the UseCache value.

  Returns:
    the UseCache value.

### setUseCache

    void setUseCache(boolean useCache)

  Set the UseCache value.

  Parameters:
    `newUseCache` - The new UseCache value.

### getDefaultProperty

    String getDefaultProperty()

  Get the DefaultProperty value.

  Returns:
    the DefaultProperty value.

### setDefaultProperty

    void setDefaultProperty(String defaultProperty)

  Set the DefaultProperty value.

  Parameters:
    `defaultProperty` - The new DefaultProperty value.

### getSeparator

    char getSeparator()

  Get the Separator value.

  Returns:
    the Separator value.

### setSeparator

    void setSeparator(char separator)

  Set the Separator value.

  Parameters:
    `separator` - The new Separator value.

### getDefaultName

    String getDefaultName(String template)

  Returns the default name for the supplied template name. Must never return null.

  Parameters:
    `template` - The template name.
  Returns:
    The default name for this template.

### getMappedName

    String getMappedName(String template)

  Return the first match name for the given template name. This method might return null if no possible match can be found.

  Parameters:
    `template` - The template name.
  Returns:
    The first matching class or template name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.